rte_pdcp_entity(3)

NAME
rte_pdcp_entity

SYNOPSIS

#include <rte_pdcp.h>

  Data Fields

rte_pdcp_pre_p_t pre_process
rte_pdcp_post_p_t post_process
uint32_t max_pkt_cache

Detailed Description

PDCP entity.

4.2.2 PDCP entities

The PDCP entities are located in the PDCP sublayer. Several PDCP entities may be defined for a UE. Each PDCP entity is carrying the data of one radio bearer. A PDCP entity is associated either to the control plane or the user plane depending on which radio bearer it is carrying data for.

Definition at line 48 of file rte_pdcp.h.

Field Documentation

  rte_pdcp_pre_p_t pre_process
Entity specific pre-process handle.

Definition at line 50 of file rte_pdcp.h.

  rte_pdcp_post_p_t post_process
Entity specific post-process handle.

Definition at line 52 of file rte_pdcp.h.

  uint32_t max_pkt_cache
PDCP entities may hold packets for purposes of in-order delivery (in case of receiving PDCP entity) and re-transmission (in case of transmitting PDCP entity).

The field 'max_pkt_cache' would be used to indicate the maximum number of packets that may be cached in an entity at any point of time. When application provides buffers to receive packets from PDCP entity, the size of the buffer should be such that it can hold additionally 'max_pkt_cache' number of packets.

Definition at line 64 of file rte_pdcp.h.

Author

Generated automatically by Doxygen for DPDK from the source code.